using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1c0a, 0x1c0b )]
	public class LeatherBustierArms : BaseArmor
	{
		public override bool AllowMaleWearer{ get{ return false; } }

		[Constructable]
		public LeatherBustierArms() : base( 0x1C0A, 13, ArmorMaterialType.Leather, ArmorBodyType.Arms )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 15;
		}

		public LeatherBustierArms( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}