using System;
using Server.Multis;
using Server.Network;

namespace Server.Items
{
	[FlipableAttribute( 0xa97, 0xa99, 0xa98, 0xa9a, 0xa9b, 0xa9c )]
	public class FullBookcase : Container
	{
		[Constructable]
		public FullBookcase() : base( 0xa97, 0x4d, 0x42, new Rectangle2D( 80, 5, 140, 70 ) )
		{
		}

		public FullBookcase( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public override bool IsAccessibleTo( Mobile m )
		{
			if ( !BaseHouse.CheckAccessible( m, this ) )
				return false;

			return base.IsAccessibleTo( m );
		}
	}

	[FlipableAttribute( 0xa9d, 0xa9e )]
	public class EmptyBookcase : Container
	{
		[Constructable]
		public EmptyBookcase() : base( 0xa9d, 0x4d, 0x42, new Rectangle2D( 80, 5, 140, 70 ) )
		{
		}

		public EmptyBookcase( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public override bool IsAccessibleTo( Mobile m )
		{
			if ( !BaseHouse.CheckAccessible( m, this ) )
				return false;

			return base.IsAccessibleTo( m );
		}
	}

	[FlipableAttribute( 0xa2c, 0xa34 )]
	public class Drawer : Container
	{
		[Constructable]
		public Drawer() : base( 0xa2c, 0x51, 0x42, new Rectangle2D( 20, 10, 150, 90 ) )
		{
		}

		public Drawer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public override bool IsAccessibleTo( Mobile m )
		{
			if ( !BaseHouse.CheckAccessible( m, this ) )
				return false;

			return base.IsAccessibleTo( m );
		}
	}

	[FlipableAttribute( 0xa30, 0xa38 )]
	public class FancyDrawer : Container
	{
		[Constructable]
		public FancyDrawer() : base( 0xa30, 0x48, 0x42, new Rectangle2D( 20, 10, 150, 90 ) )
		{
		}

		public FancyDrawer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public override bool IsAccessibleTo( Mobile m )
		{
			if ( !BaseHouse.CheckAccessible( m, this ) )
				return false;

			return base.IsAccessibleTo( m );
		}
	}

	[FlipableAttribute( 0xa4f, 0xa53 )]
	public class Armoire : Container
	{
		[Constructable]
		public Armoire() : base( 0xa4f, 0x4F, 0x42, new Rectangle2D( 30, 30, 90, 150 ) )
		{
		}

		public Armoire( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public override bool IsAccessibleTo( Mobile m )
		{
			if ( !BaseHouse.CheckAccessible( m, this ) )
				return false;

			return base.IsAccessibleTo( m );
		}
	}

	[FlipableAttribute( 0xa4d, 0xa51 )]
	public class FancyArmoire : Container
	{
		[Constructable]
		public FancyArmoire() : base( 0xa4d, 0x4E, 0x42, new Rectangle2D( 30, 30, 90, 150 ) )
		{
		}

		public FancyArmoire( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public override bool IsAccessibleTo( Mobile m )
		{
			if ( !BaseHouse.CheckAccessible( m, this ) )
				return false;

			return base.IsAccessibleTo( m );
		}
	}
}