using System;
using Server.Regions;

namespace Server.Items
{
	public class TrashBarrel : Item
	{
		[Constructable]
		public TrashBarrel() : base( 0xE77 )
		{
			Hue = 0x3B2;

			Name = "a trash barrel";
			Movable = false;
		}

		public TrashBarrel( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override bool OnDragDrop( Mobile from, Item dropped )
		{
			dropped.Delete();

			return true;
		}

		public void OnChop( Mobile from )
		{
			if ( Region.Find( Location, Map ) == from.Region && from.Region is HouseRegion && ((HouseRegion)from.Region).House.IsCoOwner( from ) )
			{
				Effects.PlaySound( Location, Map, 0x11C );
				from.SendLocalizedMessage( 500461 ); // You destroy the item.
				Delete();
			}
		}
	}
}