using System; 
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles 
{ 
	[CorpseName( "an evil mage lord corpse" )] 
	public class EvilMageLord : BaseCreature 
	{ 
		[Constructable] 
		public EvilMageLord() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
		{ 
			SpeechHue = Utility.RandomDyedHue();  
			Hue = Utility.RandomSkinHue(); 

			this.Body = 0x190; 

			switch ( Utility.Random( 4 ) ) 
			{ 
				case 0: Name = "Kwan Li the Lord of the Mists"; break; 
				case 1: Name = "Bazerion the Wizard-Lord"; break; 
				case 2: Name = "Ylthallynon the Insane"; break; 
				case 3: Name = "Xarot the Black Archmage"; break; 
			} 

			AddItem( new Robe( Utility.RandomMetalHue() ) ); 
			AddItem( new WizardsHat( Utility.RandomMetalHue() ) ); 

			this.Criminal = true; 

			SetStr( 81, 105 );
			SetDex( 191, 215 );
			SetInt( 126, 150 );

			SetHits( 49, 63 );

			SetDamage( 5, 10 );

			SetSkill( SkillName.EvalInt, 80.2, 100.0 );
			SetSkill( SkillName.Magery, 95.1, 100.0 );
			SetSkill( SkillName.Meditation, 27.5, 50.0 );
			SetSkill( SkillName.MagicResist, 77.5, 100.0 );
			SetSkill( SkillName.Tactics, 65.0, 87.5 );
			SetSkill( SkillName.Wrestling, 20.3, 80.0 );

			Fame = 10500;
			Karma = -10500;

			VirtualArmor = 16;

			switch ( Utility.Random( 8 )) 
			{ 
				case 0: PackItem( new SpidersSilk( 20 ) ); break; 
				case 1: PackItem( new BlackPearl( 20 ) ); break; 
				case 2: PackItem( new Bloodmoss( 20 ) ); break; 
				case 3: PackItem( new Garlic( 20 ) ); break; 
				case 4: PackItem( new MandrakeRoot( 20 ) ); break; 
				case 5: PackItem( new Nightshade( 20 ) ); break; 
				case 6: PackItem( new SulfurousAsh( 20 ) ); break; 
				case 7: PackItem( new Ginseng( 20 ) ); break; 
			} 

			PackGold( 800, 1300 );
			PackItem( RandomScroll.CreateScroll( 2, 7 ) ); 
			PackItem( RandomScroll.CreateScroll( 2, 7 ) ); 
		} 

		public EvilMageLord( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 
			writer.Write( (int) 0 ); 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 
			int version = reader.ReadInt(); 
		} 
	} 
}