using System;
using System.Collections;
using Server;

namespace Server.Mobiles
{
	public class PlayerMobile : Mobile
	{
		private ArrayList m_VisList;

		public PlayerMobile()
		{
			m_VisList = new ArrayList();
		}
		
		public PlayerMobile( Serial s ) : base( s )
		{
			m_VisList = new ArrayList();
		}

		public ArrayList VisibilityList
		{
			get
			{
				return m_VisList;
			}
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int)0 );//version
		}

		public override bool CanSee( Mobile m )
		{
			if ( m is PlayerMobile && ((PlayerMobile)m).m_VisList.Contains( this ) )
				return true;
			else
				return base.CanSee( m );
		}
	}
}
