using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBProvisioner : SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBProvisioner()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( typeof( Backpack ), 15, 20, 0x9b2, 0 ) );
				Add( new GenericBuyInfo( typeof( Pouch ), 6, 20, 0xe79, 0 ) );
				Add( new GenericBuyInfo( typeof( Bag ), 6, 20, 0xe76, 0 ) );
				Add( new GenericBuyInfo( typeof( Garlic ), 3, 20, 0xF84, 0 ) );
				Add( new GenericBuyInfo( typeof( Ginseng ), 3, 20, 0xF85, 0 ) );
				Add( new GenericBuyInfo( typeof( WoodenBox ), 12, 20, 0xe7d, 0 ) );
				Add( new GenericBuyInfo( typeof( Arrow ), 3, 20, 0xF3f, 0 ) );
				Add( new GenericBuyInfo( typeof( Bolt ), 5, 20, 0x1bfb, 0 ) );
				Add( new GenericBuyInfo( typeof( BreadLoaf ), 6, 20, 0x103B, 0 ) );
				Add( new GenericBuyInfo( typeof( Lockpick ), 12, 20, 0x14fc, 0 ) );

				Add( new GenericBuyInfo( typeof( Pear ), 3, 20, 0x994, 0x461 ) );
				Add( new GenericBuyInfo( typeof( Apple ), 3, 20, 0x9d0, 0 ) );
				Add( new GenericBuyInfo( typeof( CookedBird ), 17, 20, 0x9b7, 0 ) );
				Add( new GenericBuyInfo( typeof( LambLeg ), 8, 20, 0x160a, 0 ) );
				Add( new GenericBuyInfo( typeof( ChickenLeg ), 5, 20, 0x1608, 0 ) );
				Add( new GenericBuyInfo( typeof( BottleAle ), 7, 20, 0x99f, 0 ) );
				Add( new GenericBuyInfo( typeof( BottleLiquor ), 7, 20, 0x99b, 0 ) );
				Add( new GenericBuyInfo( typeof( Kindling ), 2, 20, 0xde1, 0 ) );
				Add( new GenericBuyInfo( "1041055", typeof( GuildDeed ), 12450, 20, 0x14f0, 0 ) );
				Add( new GenericBuyInfo( "1041243", typeof( ContractOfEmployment ), 1025, 20, 0x14f0, 0 ) );
				Add( new GenericBuyInfo( "1041060", typeof( HairDye ), 37, 20, 0xeff, 0 ) );
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
				Add( typeof( Backpack ), 7 );
				Add( typeof( Pouch ), 3 );
				Add( typeof( Bag ), 3 );
				Add( typeof( WoodenBox ),7 );
				Add( typeof( BreadLoaf ), 3 );
				Add( typeof( Lockpick ), 6 );
				Add( typeof( CookedBird ), 8 );
				Add( typeof( LambLeg ), 4 );
				Add( typeof( GuildDeed ), 6225 );
				Add( typeof( ContractOfEmployment ), 5013 );
				Add( typeof( HairDye ), 18 );
			}
		}
	}
}
