using System; 
using System.Collections; 
using Server.Items; 

namespace Server.Mobiles 
{ 
	public class SBTinker: SBInfo 
	{ 
		private ArrayList m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 

		public SBTinker() 
		{ 
		} 

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override ArrayList BuyInfo { get { return m_BuyInfo; } } 

		public class InternalBuyInfo : ArrayList 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( Key ), 3, Utility.Random( 5, 10 ), 0x100E, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Bottle ), 4, Utility.Random( 5, 30 ), 0x0F0E, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Sextant ), 25, Utility.Random( 5, 10 ), 0x1057, 0 ) ); 
				Add( new GenericBuyInfo( typeof( TinkerTools ), 30, Utility.Random( 5, 10 ), 0x1EB8, 0 ) ); 
			} 
		} 

		public class InternalSellInfo : GenericSellInfo 
		{ 
			public InternalSellInfo() 
			{ 
				Add( typeof( Key ), 1 ); 
				Add( typeof( Bottle ), 2 ); 
				Add( typeof( Sextant ), 13 ); 
				Add( typeof( TinkerTools ), 15 ); 
			} 
		} 
	} 
}